Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.core.proxy
Class AbstractProxyHandler

    java.lang.Object
      org.apache.muse.core.proxy.AbstractProxyHandler

All Implemented Interfaces:
  ProxyHandler

Direct Known Subclasses:
  ReflectionProxyHandler

public abstract class AbstractProxyHandler
extends java.lang.Object
implements ProxyHandler

AbstractProxyHandler is a convenience class that implements all of the accessor methods of ProxyHandler, leaving only the serialization methods (fromXML(Element) and toXML(Object[])).

Author:
  Dan Jemiolo (danj)

Constructor Summary
`AbstractProxyHandler()`

Method Summary
`java.lang.String` | `getAction()`
`QName` | `getRequestName()`
`QName[]` | `getRequestParameterNames()`
`QName[]` | `getRequestParameterSchemaTypes()`
`java.lang.Class[]` | `getRequestParameterTypes()`
`QName` | `getResponseName()`
`QName` | `getReturnSchemaType()`
`java.lang.Class` | `getReturnType()`
`void` | `setAction(java.lang.String action)`
`void` | `setRequestName(QName requestQName)`
`void` | `setRequestParameterNames(QName[] parameterQNames)`
`void` | `setRequestParameterSchemaTypes(QName[] parameterTypes)` This is an optional method.
`void` | `setRequestParameterTypes(java.lang.Class[] parameterTypes)` This is an optional method.
`void` | `setResponseName(QName responseQName)`
`void` | `setReturnSchemaType(QName returnType)`
`void` | `setReturnType(java.lang.Class returnType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.core.proxy.ProxyHandler
`fromXML, toXML`

Constructor Detail

### AbstractProxyHandler

    public AbstractProxyHandler()

Method Detail

### getAction

    public java.lang.String getAction()

  Specified by:
    `getAction` in interface `ProxyHandler`
  Returns:
    The WS-Addressing Action URI for the target operation.

### getRequestName

    public QName getRequestName()

  Specified by:
    `getRequestName` in interface `ProxyHandler`
  Returns:
    The QName of the SOAP request element that deserializable DOM Elements will be wrapped in.

### getRequestParameterNames

    public QName[] getRequestParameterNames()

  Specified by:
    `getRequestParameterNames` in interface `ProxyHandler`
  Returns:
    The QNames for the individual parameters in the SOAP request message, in the order they are defined by the target operation. These are defined in the type (schema) definition of the WSDL input message.
    If the operation takes no parameters (void), or if it takes one simple parameter that is wrapped in the root request element (i.e., WS-RP GetResourceProperty), then this method returns an empty array.

### getRequestParameterSchemaTypes

    public QName[] getRequestParameterSchemaTypes()

  Specified by:
    `getRequestParameterSchemaTypes` in interface `ProxyHandler`
  Returns:
    The XSD types that define the operation's parameters. This is an optional method, and if the type data is not provided, the returned array will be empty.

### getRequestParameterTypes

    public java.lang.Class[] getRequestParameterTypes()

  Specified by:
    `getRequestParameterTypes` in interface `ProxyHandler`
  Returns:
    The Java types that are expected by the serialization framework for each of the operation's parameters. This is an optional method, and if the type data is not provided, the returned array will be empty.

### getResponseName

    public QName getResponseName()

  Specified by:
    `getResponseName` in interface `ProxyHandler`
  Returns:
    The QName of the SOAP response element that deserializable DOM Elements will be wrapped in.

### getReturnSchemaType

    public QName getReturnSchemaType()

  Specified by:
    `getReturnSchemaType` in interface `ProxyHandler`
  Returns:
    The XSD type that defines the response value; if the operation has no response value, this method returns null.

### getReturnType

    public java.lang.Class getReturnType()

  Specified by:
    `getReturnType` in interface `ProxyHandler`
  Returns:
    The type to which the response value should be deserialized. If the operation has no response value, this method returns Void.TYPE (not null).

### setAction

    public void setAction(java.lang.String action)

  Specified by:
    `setAction` in interface `ProxyHandler`
  Parameters:
    `action` - The WS-Addressing Action URI for the target operation. This cannot be null.

### setRequestName

    public void setRequestName(QName requestQName)

  Specified by:
    `setRequestName` in interface `ProxyHandler`
  Parameters:
    `requestQName` - The QName of the SOAP request element that deserializable DOM Elements will be wrapped in.

### setRequestParameterNames

    public void setRequestParameterNames(QName[] parameterQNames)

  Specified by:
    `setRequestParameterNames` in interface `ProxyHandler`
  Parameters:
    `parameterQNames` - The QNames for the individual parameters in the SOAP request message, in the order they are defined by the target operation. These are defined in the type (schema) definition of the WSDL input message. This array cannot be null, but it can be empty.

### setRequestParameterSchemaTypes

    public void setRequestParameterSchemaTypes(QName[] parameterTypes)

  Description copied from interface: `ProxyHandler`
  This is an optional method. If the type data is not provided, getRequestParameterSchema Types() will simply return an empty array.

  Specified by:
    `setRequestParameterSchemaTypes` in interface `ProxyHandler`
  Parameters:
    `parameterTypes` - The XSD types that define the operation's parameters.

### setRequestParameterTypes

    public void setRequestParameterTypes(java.lang.Class[] parameterTypes)

  Description copied from interface: `ProxyHandler`
  This is an optional method. If the type data is not provided, getRequestParameterTypes() will simply return an empty array.

  Specified by:
    `setRequestParameterTypes` in interface `ProxyHandler`
  Parameters:
    `parameterTypes` - The Java types that are expected by the serialization framework for each of the operation's parameters.

### setResponseName

    public void setResponseName(QName responseQName)

  Specified by:
    `setResponseName` in interface `ProxyHandler`
  Parameters:
    `responseQName` - The QName of the SOAP response element that deserializable DOM Elements will be wrapped in.

### setReturnSchemaType

    public void setReturnSchemaType(QName returnType)

  Specified by:
    `setReturnSchemaType` in interface `ProxyHandler`
  Parameters:
    `returnType` - The XSD type that defines the response value. If the operation has no response value, the parameter should be null (as opposed to xsd:any).

### setReturnType

    public void setReturnType(java.lang.Class returnType)

  Specified by:
    `setReturnType` in interface `ProxyHandler`
  Parameters:
    `returnType` - The type to which the response value should be deserialized. If the operation has no response value, the parameter can be null or Void.TYPE (null will be translated as Void.TYPE).

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD